# Class DirectoryPieChartMaker

java.lang.Object
net.sf.statcvs.charts.DirectoryPieChartMaker

Direct Known Subclasses:
  `DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker`

public abstract class DirectoryPieChartMaker extends Object
Class for producing directory pie charts

Version:
  $Id: DirectoryPieChartMaker.java,v 1.14 2009/08/21 23:06:51 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DirectoryPieChartMaker.CodeDistributionChartMaker`
`static class`
`DirectoryPieChartMaker.DirectorySizesChartMaker`

## Constructor Summary

Constructors
Constructor
Description
`DirectoryPieChartMaker(String chartName, ReportConfig config, SortedSet directories, String title, String fileName)`
Creates a new PieChartMaker

## Method Summary

Modifier and Type
Method
Description
`protected abstract int`
`calculateValue(Directory directory)`
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryPieChartMaker

public DirectoryPieChartMaker(String chartName, ReportConfig config, SortedSet directories, String title, String fileName)
Creates a new PieChartMaker

Parameters:
  `config` - The report configuration to use
  `directories` - The set of directories to consider
  `title` - The chart title
  `fileName` - The file name for chart

## Method Details

### toFile

public ChartImage toFile()

### calculateValue

protected abstract int calculateValue(Directory directory)